package findservices;

import java.util.List;
import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import javax.persistence.Query;

@Stateless
public class ServiceFacade implements ServiceFacadeLocal, ServiceFacadeRemote {

    @PersistenceContext
    private EntityManager em;
    
    /** Creates a new instance of ServiceFacade */
    public ServiceFacade() {
    }

    public void create(Service service) {
        em.persist(service);
    }

    public void edit(Service service) {
        em.merge(service);
    }

    public void destroy(Service service) {
        Service managedservice = em.merge(service);
        em.remove(managedservice);
    }

    public Service find(Object pk) {
        return (Service) em.find(Service.class, pk);
    }

    public List findAll() {
        return em.createQuery("select object(o) from Service as o").getResultList();
    }

    public List getServicesByMember(String email) {
        return em.createQuery("select object(o) from Service as o where o.member = ?1").setParameter(1,email).getResultList();        
    }

    public List getCategories() {
      return em.createQuery("select object(o) from Category as o").getResultList();        
    }

    public List search(String name, String description) {
        Query q = em.createQuery("select object(o) from Service as o where  o.name like ?1 and o.description like ?2");
        q.setParameter(1,name);
        q.setParameter(2,description);
        return q.getResultList();
    }
    
    
    
}
