
package findservices;

import java.util.Properties;
import javax.activation.DataHandler;
import javax.mail.*;
import javax.mail.internet.*;

public class MemberBean {
    public MemberBean() {
    }
    
    public static MemberEntity login(String email,String pwd) {
        MemberEntityFacadeRemote  memberRemote = ServiceLocator.getMemberRemote();
        MemberEntity currentuser= memberRemote.login(email,pwd);
        return currentuser;
    }
    public static boolean register(String email,String pwd, String fullname) {
      MemberEntityFacadeRemote  memberRemote = ServiceLocator.getMemberRemote();
      try {
        MemberEntity m = new MemberEntity();
        m.setEmail(email);
        m.setPwd(pwd);
        m.setFullname(fullname);
        memberRemote.create(m);
        return true;
      } catch(Exception ex){
           System.out.println(ex.getMessage());
           return false;
     } // catch
    } // register
    
    public static boolean changePassword(MemberEntity m, String newpwd) {
      MemberEntityFacadeRemote  memberRemote = ServiceLocator.getMemberRemote();
      try {
           m.setPwd(newpwd);
           memberRemote.edit(m);
           return true;
      } catch(Exception ex){
           System.out.println(ex.getMessage());
           return false;
     } // catch
    } // changePassword
    
    
    public static boolean forgotPassword(String email) {
        MemberEntityFacadeRemote  memberRemote = ServiceLocator.getMemberRemote();
        MemberEntity member = memberRemote.find(email);
        if ( member == null)
             return false;
        
        // send email with password
        String  to = email;
        String from = "admin@classroom.com";
        try {
         Properties props = System.getProperties();
         Session session = Session.getDefaultInstance(props, null);
         // construct the message
         Message msg = new MimeMessage(session);
         msg.setFrom(new InternetAddress(from));
         msg.setRecipient(Message.RecipientType.TO,new InternetAddress(to));
         msg.setDataHandler(new DataHandler(
                 new String("Dear " + member.getFullname() + 
                 ",<p>Please use the following password to login. <p> Password : <b> " 
                 + member.getPwd() + " </b> <p>Regards, <br/>Admin@findservices.com"), "text/html"));
         msg.setSubject("Forgot Password Service");
         Transport.send(msg);
         return true;
         }
         catch (Exception e){
               System.out.println(e.getMessage());
               return false;
         }
     }


}
